Index: EcnlProtoTool/trunk/mruby-1.3.0/.cproject
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/.cproject	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/.cproject	(revision 331)
@@ -19,5 +19,5 @@
 						<toolChain id="com.renesas.cdt.rz.debug.win32.toolchain.Id.87786683" name="KPIT GNUARM-NONE-EABI Toolchain" superClass="com.renesas.cdt.rz.debug.win32.toolchain.Id">
 							<targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.PE" id="com.renesas.cdt.rz.debug.win32.targetplatform.Id.1600182357" name="Target Platform" osList="all" superClass="com.renesas.cdt.rz.debug.win32.targetplatform.Id"/>
-							<builder buildPath="${workspace_loc:/mruby-1.2.0}" id="com.renesas.cdt.rz.debug.win32.builder.Id.1846611762" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder" superClass="com.renesas.cdt.rz.debug.win32.builder.Id"/>
+							<builder buildPath="${workspace_loc:/mruby-1.3.0}" id="com.renesas.cdt.rz.debug.win32.builder.Id.1846611762" keepEnvironmentInBuildfile="false" managedBuildOn="false" name="Builder" superClass="com.renesas.cdt.rz.debug.win32.builder.Id"/>
 							<tool id="com.renesas.cdt.rz.debug.win32.tool.libgen.Id.1116635171" name="Library Generator" superClass="com.renesas.cdt.rz.debug.win32.tool.libgen.Id">
 								<option id="com.renesas.cdt.core.LibraryGenerator.option.ctype.458951408" name="ctype.h : æå­ãæ±ããã§ãã¯ãã¾ã" superClass="com.renesas.cdt.core.LibraryGenerator.option.ctype" value="true" valueType="boolean"/>
Index: EcnlProtoTool/trunk/mruby-1.3.0/.gitignore
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/.gitignore	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/.gitignore	(revision 331)
@@ -18,4 +18,5 @@
 /.git
 cscope.out
+tags
 /src/y.tab.c
 /bin
Index: EcnlProtoTool/trunk/mruby-1.3.0/.info
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/.info	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/.info	(revision 331)
@@ -4,4 +4,4 @@
 GCC_STRING=5.2-GNUARM-NONE_v16.01
 VERSION_IDE=
-E2STUDIO_VERSION=5.3.1.002
+E2STUDIO_VERSION=5.4.0.018
 ACTIVE_CONFIGURATION=Debug
Index: EcnlProtoTool/trunk/mruby-1.3.0/.project
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/.project	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/.project	(revision 331)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>mruby-1.2.0</name>
+	<name>mruby-1.3.0</name>
 	<comment></comment>
 	<projects>
Index: EcnlProtoTool/trunk/mruby-1.3.0/AUTHORS
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/AUTHORS	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/AUTHORS	(revision 331)
@@ -35,2 +35,4 @@
    Terence Lee
    Zachary Scott
+   Tomasz DÄ
+browski
Index: EcnlProtoTool/trunk/mruby-1.3.0/MITL
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/MITL	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/MITL	(revision 331)
@@ -1,3 +1,3 @@
-Copyright (c) 2015 mruby developers
+Copyright (c) 2017 mruby developers
 
 Permission is hereby granted, free of charge, to any person obtaining a
Index: EcnlProtoTool/trunk/mruby-1.3.0/Rakefile
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/Rakefile	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/Rakefile	(revision 331)
@@ -28,4 +28,6 @@
 
 load "#{MRUBY_ROOT}/tasks/benchmark.rake"
+
+load "#{MRUBY_ROOT}/tasks/gitlab.rake"
 
 ##############################
Index: EcnlProtoTool/trunk/mruby-1.3.0/appveyor_config.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/appveyor_config.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/appveyor_config.rb	(revision 331)
@@ -0,0 +1,50 @@
+MRuby::Build.new('debug') do |conf|
+  toolchain :visualcpp
+  enable_debug
+
+  # include all core GEMs
+  conf.gembox 'full-core'
+  conf.compilers.each do |c|
+    c.defines += %w(MRB_GC_STRESS MRB_GC_FIXED_ARENA)
+  end
+
+  build_mrbc_exec
+end
+
+MRuby::Build.new('full-debug') do |conf|
+  toolchain :visualcpp
+  enable_debug
+
+  # include all core GEMs
+  conf.gembox 'full-core'
+  conf.cc.defines = %w(MRB_ENABLE_DEBUG_HOOK)
+
+  conf.enable_test
+end
+
+MRuby::Build.new do |conf|
+  toolchain :visualcpp
+
+  # include all core GEMs
+  conf.gembox 'full-core'
+  conf.compilers.each do |c|
+    c.defines += %w(MRB_GC_FIXED_ARENA)
+  end
+  conf.enable_bintest
+  conf.enable_test
+end
+
+MRuby::Build.new('cxx_abi') do |conf|
+  toolchain :visualcpp
+
+  conf.gembox 'full-core'
+  conf.compilers.each do |c|
+    c.defines += %w(MRB_GC_FIXED_ARENA)
+  end
+  conf.enable_bintest
+  conf.enable_test
+
+  enable_cxx_abi
+
+  build_mrbc_exec
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/build.bat
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/build.bat	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/build.bat	(revision 331)
@@ -1,4 +1,9 @@
+set DIR=%~dp0
+set PATH=%PATH%;%DIR%\..\tools\bin
 
-call "%VS140COMNTOOLS%..\..\VC\vcvarsall.bat" x86
+rem call "%VS140COMNTOOLS%..\..\VC\vcvarsall.bat" x86
+call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvarsall.bat" x86
+
+cd /d %DIR%
 
 ruby -Eutf-8 ./minirake %1
Index: EcnlProtoTool/trunk/mruby-1.3.0/build_config.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/build_config.rb	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/build_config.rb	(revision 331)
@@ -17,6 +17,8 @@
   # end
   # conf.gem 'examples/mrbgems/c_and_ruby_extension_example'
-  # conf.gem :github => 'masuidrive/mrbgems-example', :checksum_hash => '76518e8aecd131d047378448ac8055fa29d974a9'
-  # conf.gem :git => 'git@github.com:masuidrive/mrbgems-example.git', :branch => 'master', :options => '-v'
+  # conf.gem :core => 'mruby-eval'
+  # conf.gem :mgem => 'mruby-io'
+  # conf.gem :github => 'iij/mruby-io'
+  # conf.gem :git => 'git@github.com:iij/mruby-io.git', :branch => 'master', :options => '-v'
 
   # include the default GEMs
@@ -147,5 +149,10 @@
   conf.archiver.command = "arm-none-eabi-ar"
 
-  conf.cc.flags << %w(-MD -MP -mlittle-endian -mcpu=cortex-a9 -mthumb -mthumb-interwork -marm -march=armv7-a -mfpu=vfpv3 -mfloat-abi=hard -mno-unaligned-access -fno-strict-aliasing)
+  conf.cc.flags << %w(-MD -MP -mlittle-endian -mcpu=cortex-a9 -mthumb -mthumb-interwork -marm -march=armv7-a -mfpu=vfpv3 -mfloat-abi=hard -mno-unaligned-access -fno-strict-aliasing -nostdinc)
+  conf.cc.include_paths  << "../musl-1.1.18/include"
+
+  conf.linker.flags << %w(-nostdlib)
+  conf.linker.library_paths << "../musl-1.1.18/lib"
+  conf.linker.libraries << %w(c gcc)
 
   #configuration for low memory environment
@@ -160,27 +167,26 @@
   conf.gem "#{root}/mrbgems/mruby-string-ext"
   conf.gem '../mrbgems/mruby-onig-regexp'  do |g|
-    g.cc.include_paths  << "../onigmo-5.15.0/src"
+    g.cc.include_paths  << "../onigmo-6.1.3/src"
   end
   conf.gem "#{root}/../mrbgems/mruby-blockly"
+  conf.gem "#{root}/../mrbgems/mruby-digest" do |g|
+    g.cc.include_paths << "#{g.dir}/../../openssl-1.1.0e/include"
+  end
+  conf.gem "#{root}/../mrbgems/mruby-dir"
+  conf.gem "#{root}/../mrbgems/mruby-env"
+  conf.gem "#{root}/../mrbgems/mruby-errno"
+  conf.gem "#{root}/../mrbgems/mruby-iijson"
   conf.gem "#{root}/../mrbgems/mruby-io"
-  conf.gem "#{root}/../mrbgems/mruby-dir" do |g|
-    g.cc.defines = %w(__NEWLIB__=2)
-    g.cc.include_paths << "#{g.dir}/../../musl-1.1.12/include"
-  end
+  conf.gem "#{root}/../mrbgems/mruby-ipaddr"
+  conf.gem "#{root}/../mrbgems/mruby-mock"
   conf.gem "#{root}/../mrbgems/mruby-pack"
-  conf.gem "#{root}/../mrbgems/mruby-socket" do |g|
-    g.cc.include_paths << "#{g.dir}/../../musl-1.1.12/include"
+  conf.gem "#{root}/../mrbgems/mruby-require"
+  conf.gem "#{root}/../mrbgems/mruby-socket"
+  conf.gem "#{root}/../mrbgems/mruby-tls-openssl" do |g|
+    g.cc.include_paths << "#{g.dir}/../../openssl-1.1.0e/include"
   end
   conf.gem "#{root}/../mrbgems/mruby-arduino" do |g|
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/api"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/hal"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/cmsis"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc/iodefines"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/hal/TARGET_RENESAS/TARGET_RZ_A1H"
-    g.cc.include_paths << "#{g.dir}/../../asp3_dcre/mbed/targets/hal/TARGET_RENESAS/TARGET_RZ_A1H/TARGET_MBED_MBRZA1H"
-    g.cc.include_paths << "#{g.dir}/../../sample/gr_peach"
     g.cc.include_paths << "#{g.dir}/../../prototool/src"
+    g.cc.include_paths << "#{g.dir}/../../mbed_api/src"
   end
   conf.gem "#{root}/../mrbgems/mruby-ecnl"
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/mrbgems/ruby_extension_example/mrbgem.rake
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/examples/mrbgems/ruby_extension_example/mrbgem.rake	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/mrbgems/ruby_extension_example/mrbgem.rake	(revision 331)
@@ -12,4 +12,6 @@
   # spec.linker.libraries << 'external_lib'
 
+  spec.add_dependency('mruby-print', :core => 'mruby-print')
+
   # Default build files
   # spec.rbfiles = Dir.glob("#{dir}/mrblib/*.rb")
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_IntelEdison.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_IntelEdison.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_IntelEdison.rb	(revision 331)
@@ -0,0 +1,69 @@
+# Cross-compiling setup for Intel Edison (poky linux) platform
+# Get SDK from here: https://software.intel.com/en-us/iot/hardware/edison/downloads
+# REMEMBER to check and update the SDK root in the constant POKY_EDISON_PATH
+
+MRuby::Build.new do |conf|
+  toolchain :gcc
+  conf.gembox 'default'
+  conf.cc.defines = %w(ENABLE_READLINE)
+  conf.gembox 'default'
+
+  #lightweight regular expression
+  conf.gem :github => "pbosetti/mruby-hs-regexp", :branch => "master"
+
+end
+
+# Define cross build settings
+MRuby::CrossBuild.new('core2-32-poky-linux') do |conf|
+  toolchain :gcc
+
+  # Mac OS X
+  #
+  POKY_EDISON_PATH = '/opt/poky-edison/1.7.2'
+
+  POKY_EDISON_SYSROOT =  "#{POKY_EDISON_PATH}/sysroots/core2-32-poky-linux"
+  POKY_EDISON_X86_PATH = "#{POKY_EDISON_PATH}/sysroots/i386-pokysdk-darwin"
+  POKY_EDISON_BIN_PATH = "#{POKY_EDISON_X86_PATH}/usr/bin/i586-poky-linux"
+
+
+  conf.cc do |cc|
+    cc.command = "#{POKY_EDISON_BIN_PATH}/i586-poky-linux-gcc"
+    cc.include_paths << ["#{POKY_EDISON_SYSROOT}/usr/include", "#{POKY_EDISON_X86_PATH}/usr/include"]
+    cc.flags = %w(-m32 -march=core2 -mtune=core2 -msse3 -mfpmath=sse -mstackrealign -fno-omit-frame-pointer)
+    cc.flags << %w(-O2 -pipe -g -feliminate-unused-debug-types)
+    cc.flags << "--sysroot=#{POKY_EDISON_SYSROOT}"
+    cc.compile_options = "%{flags} -o %{outfile} -c %{infile}"
+    cc.defines = %w(ENABLE_READLINE)
+  end
+
+  conf.cxx do |cxx|
+    cxx.command = "#{POKY_EDISON_BIN_PATH}/i586-poky-linux-g++"
+    cxx.include_paths = conf.cc.include_paths.dup
+    cxx.include_paths << ["#{POKY_EDISON_SYSROOT}/usr/include/c++/4.9.1"]
+    cxx.flags = conf.cc.flags.dup
+    cxx.defines = conf.cc.defines.dup
+    cxx.compile_options = conf.cc.compile_options.dup
+  end
+
+  conf.archiver do |archiver|
+    archiver.command = "#{POKY_EDISON_BIN_PATH}/i586-poky-linux-ar"
+    archiver.archive_options = 'rcs %{outfile} %{objs}'
+  end
+
+  conf.linker do |linker|
+    linker.command = "#{POKY_EDISON_BIN_PATH}/i586-poky-linux-g++"
+    linker.flags = %w(-m32 -march=i586)
+    linker.flags << "--sysroot=#{POKY_EDISON_SYSROOT}"
+    linker.flags << %w(-O1)
+    linker.libraries = %w(m pthread)
+  end
+
+  #do not build executable test
+  conf.build_mrbtest_lib_only
+
+  conf.gembox 'default'
+
+  #lightweight regular expression
+  conf.gem :github => "pbosetti/mruby-hs-regexp", :branch => "master"
+
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_RX630.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_RX630.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_RX630.rb	(revision 331)
@@ -0,0 +1,82 @@
+MRuby::Build.new do |conf|
+
+  # Gets set by the VS command prompts.
+  if ENV['VisualStudioVersion'] || ENV['VSINSTALLDIR']
+    toolchain :visualcpp
+  else
+    toolchain :gcc
+  end
+
+  enable_debug
+
+  # include the default GEMs
+  conf.gembox 'default'
+
+end
+
+# Cross Compiling configuration for RX630
+# http://gadget.renesas.com/
+#
+# Requires gnurx_v14.03
+MRuby::CrossBuild.new("RX630") do |conf|
+  toolchain :gcc
+
+  # Linux
+  BIN_PATH = "/usr/share/gnurx_v14.03_elf-1/bin"
+
+  conf.cc do |cc|
+    cc.command = "#{BIN_PATH}/rx-elf-gcc"
+    cc.flags = "-Wall -g -O2 -flto -mcpu=rx600 -m64bit-doubles"
+    cc.compile_options = "%{flags} -o %{outfile} -c %{infile}"
+
+    #configuration for low memory environment
+    cc.defines << %w(MRB_USE_FLOAT)
+    cc.defines << %w(MRB_HEAP_PAGE_SIZE=64)
+    cc.defines << %w(MRB_USE_IV_SEGLIST)
+    cc.defines << %w(KHASH_DEFAULT_SIZE=8)
+    cc.defines << %w(MRB_STR_BUF_MIN_SIZE=20)
+    cc.defines << %w(MRB_GC_STRESS)
+    cc.defines << %w(MRB_DISABLE_STDIO) #if you dont need stdio.
+    #cc.defines << %w(POOL_PAGE_SIZE=1000) #effective only for use with mruby-eval
+  end
+
+  conf.cxx do |cxx|
+    cxx.command = conf.cc.command.dup
+    cxx.include_paths = conf.cc.include_paths.dup
+    cxx.flags = conf.cc.flags.dup
+    cxx.defines = conf.cc.defines.dup
+    cxx.compile_options = conf.cc.compile_options.dup
+  end
+
+  conf.linker do |linker|
+    linker.command="#{BIN_PATH}/rx-elf-ld"
+  end
+
+  conf.archiver do |archiver|
+    archiver.command = "#{BIN_PATH}/rx-elf-ar"
+    archiver.archive_options = 'rcs %{outfile} %{objs}'
+  end
+
+  #no executables
+  conf.bins = []
+
+  #do not build executable test
+  conf.build_mrbtest_lib_only
+
+  #disable C++ exception
+  conf.disable_cxx_exception
+
+  #gems from core
+  conf.gem :core => "mruby-sprintf"
+  conf.gem :core => "mruby-print"
+  conf.gem :core => "mruby-math"
+  conf.gem :core => "mruby-enum-ext"
+  conf.gem :core => "mruby-numeric-ext"
+
+  #light-weight regular expression
+  #conf.gem :github => "masamitsu-murase/mruby-hs-regexp", :branch => "master"
+
+  #Arduino API
+  #conf.gem :github =>"kyab/mruby-arduino", :branch => "master"
+
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_arm64-v8a.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_arm64-v8a.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_arm64-v8a.rb	(revision 331)
@@ -0,0 +1,26 @@
+MRuby::Build.new do |conf|
+
+  # Gets set by the VS command prompts.
+  if ENV['VisualStudioVersion'] || ENV['VSINSTALLDIR']
+    toolchain :visualcpp
+  else
+    toolchain :gcc
+  end
+
+  enable_debug
+
+  # include the default GEMs
+  conf.gembox 'default'
+end
+
+# Requires Android NDK r13 or later.
+MRuby::CrossBuild.new('android-arm64-v8a') do |conf|
+  params = { 
+    :arch => 'arm64-v8a', 
+    :platform => 'android-24',
+    :toolchain => :clang,
+  }
+  toolchain :android, params
+
+  conf.gembox 'default'
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi.rb	(revision 331)
@@ -0,0 +1,26 @@
+MRuby::Build.new do |conf|
+
+  # Gets set by the VS command prompts.
+  if ENV['VisualStudioVersion'] || ENV['VSINSTALLDIR']
+    toolchain :visualcpp
+  else
+    toolchain :gcc
+  end
+
+  enable_debug
+
+  # include the default GEMs
+  conf.gembox 'default'
+end
+
+# Requires Android NDK r13 or later.
+MRuby::CrossBuild.new('android-armeabi') do |conf|
+  params = { 
+    :arch => 'armeabi', 
+    :platform => 'android-24',
+    :toolchain => :clang,
+  }
+  toolchain :android, params
+
+  conf.gembox 'default'
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi_v7a_neon_hard.rb
===================================================================
--- EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi_v7a_neon_hard.rb	(revision 331)
+++ EcnlProtoTool/trunk/mruby-1.3.0/examples/targets/build_config_android_armeabi_v7a_neon_hard.rb	(revision 331)
@@ -0,0 +1,28 @@
+MRuby::Build.new do |conf|
+
+  # Gets set by the VS command prompts.
+  if ENV['VisualStudioVersion'] || ENV['VSINSTALLDIR']
+    toolchain :visualcpp
+  else
+    toolchain :gcc
+  end
+
+  enable_debug
+
+  # include the default GEMs
+  conf.gembox 'default'
+end
+
+# Requires Android NDK r13 or later.
+MRuby::CrossBuild.new('android-armeabi-v7a-neon-hard') do |conf|
+  params = {
+    :arch => 'armeabi-v7a',
+    :mfpu => 'neon',
+    :mfloat_abi => 'hard',
+    :platform => 'android-24',
+    :toolchain => :clang,
+  }
+  toolchain :android, params
+
+  conf.gembox 'default'
+end
Index: EcnlProtoTool/trunk/mruby-1.3.0/include/mrbconf.h
===================================================================
--- EcnlProtoTool/trunk/mruby-1.2.0/include/mrbconf.h	(revision 321)
+++ EcnlProtoTool/trunk/mruby-1.3.0/include/mrbconf.h	(revision 331)
@@ -8,8 +8,24 @@
 #define MRUBYCONF_H
 
+#include <limits.h>
+#include <stdint.h>
+
+/* architecture selection: */
+/* specify -DMRB_32BIT or -DMRB_64BIT to override */
+#if !defined(MRB_32BIT) && !defined(MRB_64BIT)
+#if UINT64_MAX == SIZE_MAX
+#define MRB_64BIT
+#else
+#define MRB_32BIT
+#endif
+#endif
+
+#if defined(MRB_32BIT) && defined(MRB_64BIT)
+#error Cannot build for 32 and 64 bit architecture at the same time
+#endif
+
 /* configuration options: */
 /* add -DMRB_USE_FLOAT to use float instead of double for floating point numbers */
 //#define MRB_USE_FLOAT
-#define MRB_USE_FLOAT
 
 /* add -DMRB_INT16 to use 16bit integer for mrb_int; conflict with MRB_INT64 */
@@ -33,13 +49,10 @@
 /* argv max size in mrb_funcall */
 //#define MRB_FUNCALL_ARGC_MAX 16
-#define MRB_FUNCALL_ARGC_MAX 8
 
 /* number of object per heap page */
 //#define MRB_HEAP_PAGE_SIZE 1024
-#define MRB_HEAP_PAGE_SIZE 64
 
 /* use segmented list for IV table */
 //#define MRB_USE_IV_SEGLIST
-#define MRB_USE_IV_SEGLIST
 
 /* initial size for IV khash; ignored when MRB_USE_IV_SEGLIST is set */
@@ -58,5 +71,4 @@
 /* default size of khash table bucket */
 //#define KHASH_DEFAULT_SIZE 32
-#define KHASH_DEFAULT_SIZE 8
 
 /* allocated memory address alignment */
@@ -65,9 +77,7 @@
 /* page size of memory pool */
 //#define POOL_PAGE_SIZE 16000
-#define POOL_PAGE_SIZE 4096
 
 /* initial minimum size for string buffer */
 //#define MRB_STR_BUF_MIN_SIZE 128
-#define MRB_STR_BUF_MIN_SIZE 20
 
 /* arena size */
@@ -76,5 +86,4 @@
 /* fixed size GC arena */
 //#define MRB_GC_FIXED_ARENA
-#define MRB_GC_FIXED_ARENA
 
 /* state atexit stack size */
